/*
Theme Name:   Zabawki
Description:  Zabawki
Template:     twentytwentyfour
Version:      1.0.0
Text Domain:  zabawki
*/

html {
    scroll-behavior: smooth;
}

*[id] {
    scroll-margin-top: 150px;
}

.wp-block-cover {
    border-radius: 20px;
}

.wp-block-heading a {
    text-decoration: none;
}

a {
    text-decoration: none;
}

a:active,
a:focus,
a:hover {
    text-decoration: none!important;
}

/**
 * Homepage
 */
.wp-block-post-featured-image img {
    aspect-ratio: 1 / 1;
    object-fit: cover;
}

.is-summary-list .wp-block-post-featured-image img {
    aspect-ratio: 5 / 3;
    object-fit: cover;
}

/*
 * Slider
 */
.related-products-slider {
    background: var(--wp--preset--color--base-2);
    border-radius: var(--wp--preset--spacing--20);
    box-sizing: border-box;
    padding: 30px;
    position: relative;
    width: 100%;
}

.product-gallery-slider {
    position: relative;
    width: 100%;
}

.product-gallery-slider-inner,
.related-products-slider-inner {
    overflow: auto;
    position: relative;
}

.product-gallery-slider.js-is-initialized .product-gallery-slider-inner,
.related-products-slider.js-is-initialized .related-products-slider-inner {
    overflow: hidden;
}

.product-gallery-slider > .wp-element-button,
.related-products-slider > .wp-element-button {
    align-items: baseline;
    border-radius: 50%;
    display: flex;
    font-size: var(--wp--preset--font-size--xx-large);
    height: 50px;
    line-height: 40px;
    justify-content: center;
    padding: 0;
    position: absolute;
    text-indent: -3px;
    width: 50px;
    z-index: 1;
}

.related-products-slider > .wp-element-button,
.product-gallery-slider > .wp-element-button {
    left: 0;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
}

.product-gallery-slider > .wp-element-button + .wp-element-button,
.related-products-slider > .wp-element-button + .wp-element-button {
    left: auto;
    right: 0;
    text-indent: 3px;
    transform: translateX(50%) translateY(-50%);
}

.product-gallery-slider > a.js-is-disabled,
.related-products-slider > a.js-is-disabled {
    opacity: .33;
    pointer-events: none;
}

.product-gallery-slider br,
.product-gallery-slider p:empty,
.related-products-list br,
.related-products-slider br,
.related-products-list p:empty,
.related-products-slider p:empty {
    display: none;
}

.product-gallery-slider-slides,
.related-products-slider-slides {
    display: flex;
    list-style-type: none;
    margin: 0;
    padding: 0;
    transform: translateX(calc((-100% / var(--zabawki-slider-count)) * var(--zabawki-slider-current)));
    transition: all .35s ease-out;
    width: calc(100% * var(--zabawki-slider-count));
}

.product-gallery-slider-slide,
.related-products-slider-slide {
    display: flex;
    width: calc(100% / var(--zabawki-slider-count));
}

.related-products-slider-slide-content {
    align-items: center;
    display: flex;
    gap: var(--wp--preset--spacing--30);
}

.related-products-slider-slide-content > a {
    background-color: var(--wp--preset--color--white);
    border-radius: 10px;
    display: block;
    overflow: hidden;
    width: 50%;
}

.product-gallery-slider-slide img,
.related-products-slider-slide-content > a > img {
    aspect-ratio: 1 / 1;
    border-radius: var(--wp--preset--spacing--20);
    height: auto;
    object-fit: contain;
    max-width: 100%;
}

.related-products-slider-slide-content-text {
    width: 50%;
}

.related-products-slider-slide-content-text strong {
    font-size: var(--wp--preset--font-size--large);
}

/**
 * Excerpt button
 */
.wp-block-post-excerpt__more-link {
    color: var(--wp--preset--color--white);
    text-decoration: none;
}

.wp-block-navigation + .wp-block-search {
    position: absolute;
}

.wp-block-navigation + .wp-block-search .wp-block-search__input {
    margin-right: 15px;
}

header.wp-block-template-part .wp-block-navigation {
    margin-right: 40px;
}

.wp-block-navigation__submenu-container.wp-block-navigation-submenu {
    margin-top: 20px;
}

.wp-block-navigation__submenu-container.wp-block-navigation-submenu:before {
    content: "";
    height: 25px;
    position: absolute;
    top: -22px;
    width: 100%;
}

@media screen and (max-width: 781px) {
    .related-products-slider-slide-content {
        flex-direction: column;
    }

    .related-products-slider-slide-content .related-products-slider-slide-content-text {
        text-align: center;
    }

    .related-products-slider-slide-content > a,
    .related-products-slider-slide-content .related-products-slider-slide-content-text {
        width: 100%;
    }

    .related-products-slider-slide-content .wp-block-buttons {
        justify-content: center;
    }

    .related-products-slider-slide-content > a {
        max-width: 100%;
    }

    .related-products-slider > .wp-element-button, 
    .product-gallery-slider > .wp-element-button {
        left: 5px;
    }

    .product-gallery-slider > .wp-element-button + .wp-element-button, 
    .related-products-slider > .wp-element-button + .wp-element-button {
        right: 5px;
    }

    .wp-block-site-logo {
        margin-left: -20px!important;
    }

    header.wp-block-template-part .wp-block-navigation {
        margin-right: 70px;
    }
}

@media screen and (min-width: 601px) {
    .wp-site-blocks header.wp-block-template-part {
        top: calc(0px + var(--wp-admin--admin-bar--height, 0px));
        position: sticky;
        z-index: 10;
    }
}

@media screen and (max-width: 600px) {
    .wp-site-blocks header.wp-block-template-part {
        top: 0;
        position: sticky;
        z-index: 10;
    }
}

/**
 * Mobile menu improvments
 */
html.has-modal-open header.wp-block-template-part .wp-container-core-group-layout-2.wp-container-core-group-layout-2 {
    background: #fff;
    justify-content: center;
    margin: 0 auto;
    text-align: center;
    width: 300px;
    z-index: 1000000;
}

html.has-modal-open header.wp-block-template-part .wp-block-site-logo img {
    height: 72px;
    width: 72px;
}

html.has-modal-open .wp-block-site-logo + div a {
    color: var(--wp--preset--color--black)!important;
}

.wp-block-navigation__responsive-container.has-modal-open.is-menu-open {
    padding-top: 25px;
}

.wp-block-navigation__responsive-container.has-modal-open.is-menu-open ul,
.wp-block-navigation__responsive-container.has-modal-open.is-menu-open li,
.wp-block-navigation__responsive-container.has-modal-open.is-menu-open li a {
    display: block;
    text-align: center;
    width: 100%;
}

.wp-block-navigation__responsive-container.has-modal-open.is-menu-open .wp-block-navigation__responsive-container-content .has-child .wp-block-navigation__submenu-container {
    background: var(--wp--preset--color--base-2)!important;
    border-radius: 10px;
    margin: 20px auto;
    padding: var(--wp--preset--spacing--20) var(--wp--preset--spacing--40);
}

html.has-modal-open .wp-block-navigation__responsive-container-close.wp-block-navigation__responsive-container-close.wp-block-navigation__responsive-container-close {
    margin-top: -2px;
}